Bug 225319 - Dynamically pass capture sandbox extensions to GPUProcess
Summary: Dynamically pass capture sandbox extensions to GPUProcess
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-05-03 11:37 PDT by youenn fablet
Modified: 2021-05-05 01:53 PDT (History)
4 users (show)

See Also:


Attachments
Patch (15.38 KB, patch)
2021-05-03 11:40 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (15.46 KB, patch)
2021-05-04 01:45 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (15.43 KB, patch)
2021-05-04 03:09 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (15.96 KB, patch)
2021-05-05 00:30 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (15.96 KB, patch)
2021-05-05 01:00 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-05-03 11:37:07 PDT
Dynamically pass capture sandbox extensions to GPUProcess
Comment 1 youenn fablet 2021-05-03 11:40:27 PDT
Created attachment 427581 [details]
Patch
Comment 2 youenn fablet 2021-05-04 01:45:11 PDT
Created attachment 427645 [details]
Patch
Comment 3 youenn fablet 2021-05-04 03:06:32 PDT
<rdar://76855590>
Comment 4 youenn fablet 2021-05-04 03:09:52 PDT
Created attachment 427647 [details]
Patch
Comment 5 Eric Carlson 2021-05-04 08:35:29 PDT
Comment on attachment 427647 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=427647&action=review

> Source/WebKit/UIProcess/GPU/GPUProcessProxy.cpp:190
> +            SandboxExtension::createHandleForMachLookup("com.apple.applecamerad"_s, WTF::nullopt, appleCameraServicePathSandboxExtensionHandle);
> +            extensions.append(WTFMove(appleCameraServicePathSandboxExtensionHandle));
> +#if HAVE(ADDITIONAL_APPLE_CAMERA_SERVICE)
> +            SandboxExtension::Handle additionalAppleCameraServicePathSandboxExtensionHandle;
> +            SandboxExtension::createHandleForMachLookup("com.apple.appleh13camerad"_s, WTF::nullopt, additionalAppleCameraServicePathSandboxExtensionHandle);

It would be good to release log and not set `m_hasSentCameraSandboxExtension` if we can't create either of these like we do for "com.apple.webkit.camera".
Comment 6 youenn fablet 2021-05-05 00:28:05 PDT
(In reply to Eric Carlson from comment #5)
> Comment on attachment 427647 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=427647&action=review
> 
> > Source/WebKit/UIProcess/GPU/GPUProcessProxy.cpp:190
> > +            SandboxExtension::createHandleForMachLookup("com.apple.applecamerad"_s, WTF::nullopt, appleCameraServicePathSandboxExtensionHandle);
> > +            extensions.append(WTFMove(appleCameraServicePathSandboxExtensionHandle));
> > +#if HAVE(ADDITIONAL_APPLE_CAMERA_SERVICE)
> > +            SandboxExtension::Handle additionalAppleCameraServicePathSandboxExtensionHandle;
> > +            SandboxExtension::createHandleForMachLookup("com.apple.appleh13camerad"_s, WTF::nullopt, additionalAppleCameraServicePathSandboxExtensionHandle);
> 
> It would be good to release log and not set
> `m_hasSentCameraSandboxExtension` if we can't create either of these like we
> do for "com.apple.webkit.camera".

OK, will do
Comment 7 youenn fablet 2021-05-05 00:30:15 PDT
Created attachment 427735 [details]
Patch
Comment 8 youenn fablet 2021-05-05 01:00:04 PDT
Created attachment 427737 [details]
Patch
Comment 9 EWS 2021-05-05 01:53:39 PDT
Committed r277010 (237326@main): <https://commits.webkit.org/237326@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 427737 [details].